CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   How can download older versions of OF? (http://www.cfd-online.com/Forums/openfoam-installation/117247-how-can-download-older-versions.html)

immortality May 5, 2013 08:46

How can download older versions of OF?
 
how can install older versions without removing later ones?

wyldckat May 5, 2013 08:48

Quote:

Originally Posted by immortality (Post 425338)
how can install older versions without removing later ones?

I've written about this several times... one of them here: Advanced tips for working with the OpenFOAM shell environment

immortality May 5, 2013 08:59

no:( as you know my other versions of OF were deleted when I wanted to install a anti-filter software.I just download them again.but in oenfoam.org i see only 2.2.0 version for download or maybe i haven't look at it carefully?

wyldckat May 5, 2013 09:07

If you need OpenFOAM 2.1.1, follow these instructions: http://www.openfoam.org/archive/2.1....oad/ubuntu.php

immortality May 5, 2013 10:23

dear Bruno I used alias as you have told.but no command executed now:
Code:

ehsan@Ehsan-com:~/Desktop/Huge_reservoir_filling$ runPlot 4 rhoCentralFoamModified
Usage
=====
  pyFoamPlotRunner.py [options] <foamApplication> <caseDir> <caseName> [foamOptions]

pyFoamPlotRunner.py: error: Too few arguments (3 needed, 1 given)
ehsan@Ehsan-com:~/Desktop/Huge_reservoir_filling$ decomPosePar
decomPosePar: command not found
ehsan@Ehsan-com:~/Desktop/Huge_reservoir_filling$ of220
of220: command not found
ehsan@Ehsan-com:~/Desktop/Huge_reservoir_filling$ alias of220='. /opt/openfoam220/etc/bashrc'
ehsan@Ehsan-com:~/Desktop/Huge_reservoir_filling$ decomPosePar
decomPosePar: command not found
ehsan@Ehsan-com:~/Desktop/Huge_reservoir_filling$

-----------------------
sorry.I had written alias commands in shell not in bashrc.now resolved.

wyldckat May 5, 2013 10:36

  1. What are the last 10 lines of the file "~/.bashrc"?
  2. Did you start a new terminal?
  3. It's "decomposePar", not "decomPosePar".

immortality May 5, 2013 10:55

is it true and as you had told?
Code:

if [ -f ~/.bash_aliases ]; then
    . ~/.bash_aliases
fi

# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if [ -f /etc/bash_completion ] && ! shopt -oq posix; then
    . /etc/bash_completion
fi
#. /opt/openfoam220/etc/bashrc
#. /opt/openfoam211/etc/bashrc
#. /opt/openfoam210/etc/bashrc
alias of220='. /opt/openfoam220/etc/bashrc'
alias of210='. /opt/openfoam210/etc/bashrc'
export PATH="$PATH:/home/ehsan/Desktop/codes"


wyldckat May 5, 2013 11:22

The contents of the file "~/.bashrc" look OK. There doesn't seem to be any problem with it.

Whenever you start a new terminal window (or tab), run:
Code:

of220
or:
Code:

of210
for activating the respective environment.

If you need the other version of OpenFOAM to work with, start a new terminal and activate said version. You'll only be able to use one version at a time per terminal.

So, if you have not yet started a new terminal, you better start a new one now! ;)

immortality May 5, 2013 11:36

what do you mean by "tab"?is it a way to move between terminals?(I try to learn new things:D)

wyldckat May 5, 2013 11:42

Quote:

Originally Posted by immortality (Post 425367)
what do you mean by "tab"?is it a way to move between terminals?(I try to learn new things:D)

:eek: It's been so much time since you've been working on Linux, and you still don't know about terminal tabs?


All times are GMT -4. The time now is 18:00.